=== debian/changelog ===
bppsuite (2.4.1-8) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fix for FTBFS with CMake 4. Closes: #1112733.

  [ Santiago Vila ]
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * d/salsa-ci.yml: Use the simplified version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 14 Oct 2025 02:20:00 +0200

bppsuite (2.4.1-7) unstable; urgency=medium

  * Team upload.
  * d/patches/hardening: Added patch to not shadow dpkg-buildflags
  * d/rules: specifying RelWithDebInfo isn't necessary for getting
    unstripped binaries.
  * d/patches/spelling: new patch to fix typos.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Mar 2024 12:53:01 +0100

bppsuite (2.4.1-6) unstable; urgency=medium

  * Relax autopkgtest for arm64
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2023 18:55:38 +0100

bppsuite (2.4.1-5) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 19:54:28 +0100

bppsuite (2.4.1-4) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Exclude tag v3.0.0 to be considered a new version
    (see https://github.com/BioPP/bppsuite/issues/14#issuecomment-1041137412)
  * Standards-Version: 4.6.0 (routine-update)
  * Build-Depends: libeigen3-dev
  * Enable uscan to create a sensible download name

 -- Andreas Tille <tille@debian.org>  Wed, 16 Feb 2022 08:50:02 +0100

bppsuite (2.4.1-3) unstable; urgency=medium

  * Approximate autopkgtest output. Closes: #963088.
  * Add Pranav Ballaney to Uploaders

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Tue, 15 Sep 2020 18:56:51 +0530

bppsuite (2.4.1-2) unstable; urgency=medium

  * Team upload.

  [ Pranav Ballaney ]
  * Add reference data for autopkgtests
  * Install examples for bppsuite
  * Add autopkgtests
  * Install docs

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Fix day-of-week for changelog entry 0.3.0.
  * Cleanup installation of manpages

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Fri, 12 Jun 2020 06:00:09 +0530

bppsuite (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 22 Aug 2018 09:18:13 +0200
