=== debian/control ===
Source: bppsuite
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>,
           Pranav Ballaney <ballaneypranav@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               texinfo,
               libbpp-phyl-dev,
               libbpp-popgen-dev,
               libeigen3-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/bppsuite
Vcs-Git: https://salsa.debian.org/med-team/bppsuite.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: bppsuite
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: bppsuite-examples
Description: Bio++ program suite
 The Bio++ Program Suite is a package of programs using the Bio++
 libraries and dedicated to Phylogenetics and Molecular Evolution.  All
 programs are independent, but can be combined to perform rather complex
 analyses.  These programs use the interface helper tools of the
 libraries, and hence share the same syntax.  They also have several
 options in common, which may also be shared by third-party software.
 .
 The following programs are included:
  - BppML for maximum likelihood analysis,
  - BppSeqGen for sequences simulation,
  - BppAncestor for ancestral states reconstruction,
  - BppDist for distance methods,
  - BppPars for parsimony analysis,
  - BppSeqMan for file conversion and sequence manipulation,
  - BppConsense for building consensus tree and computing
    bootstrap values,
  - BppReRoot for tree rerooting.
  - BppTreeDraw for tree drawing.
  - BppAlnScore for comparing alignments and computing alignment scores.
  - BppMixedLikelihoods for computing site per site likelihoods of
    components of mixture models.
  - BppPopGen for population genetics analyses.

Package: bppsuite-examples
Architecture: all
Depends: ${misc:Depends}
Enhances: bppsuite
Multi-Arch: foreign
Description: Examples for Bio++ program suite
 The Bio++ Program Suite is a package of programs using the Bio++
 libraries and dedicated to Phylogenetics and Molecular Evolution.  All
 programs are independent, but can be combined to perform rather complex
 analyses.  These programs use the interface helper tools of the
 libraries, and hence share the same syntax.  They also have several
 options in common, which may also be shared by third-party software.
 .
 This package contains some example data sets.
