=== debian/watch ===
version=4

opts="uversionmangle=s/3.0.0/0.3.0.0/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/BioPP/bppsuite/tags .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
